com.creamtec.ajaxswing.v4

## Class ComponentGraphics

- java.lang.Object
- - java.awt.Graphics
  - - java.awt.Graphics2D
    - - com.creamtec.ajaxswing.v4.HtmlGraphics
      - - com.creamtec.ajaxswing.v4.AbstractRenderingGraphics
        - - com.creamtec.ajaxswing.v4.RenderingGraphics
          - - com.creamtec.ajaxswing.v4.ComponentGraphics

-     public class ComponentGraphics
      extends RenderingGraphics

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentGraphics.LinePlace`

  - ### Field Summary

    - ### Fields inherited from class com.creamtec.ajaxswing.v4.HtmlGraphics

      `defaultFont`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentGraphics(HTMLPage page, AjaxSwingV4Handler handler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Graphics` | `create()`
    `boolean` | `drawImage(java.awt.Image img, int x, int y, int width, int height, java.awt.image.ImageObserver observer)`
    `void` | `drawLine(int x1, int y1, int x2, int y2)`
    `void` | `drawString(java.lang.String str, int x, int y)`
    `java.lang.String` | `getAutoCompleteStatusForPassword()`
    `void` | `setIntervalsEnabled(boolean b)`
    `void` | `setRenderingHint(java.awt.RenderingHints.Key hintKey, java.lang.Object hintValue)`
    `void` | `setV4Root(boolean b)`

    - ### Methods inherited from class com.creamtec.ajaxswing.v4.RenderingGraphics

      `draw, drawArc, drawGlyphVector, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawImage, drawLine, drawOval, drawPolygon, drawPolyline, drawRect, drawRect, drawRenderableImage, drawRenderedImage, drawResizableCorner, drawResizableLeftBottomCorner, drawResizableLeftTopCorner, drawResizableRightBottomCorner, drawResizableRightTopCorner, drawRoundRect, drawString, drawString, drawString, drawString, drawString, drawString, fill, fillArc, fillOval, fillPolygon, fillRect, fillRect, fillRoundRect, fillTriangleVertical`

    - ### Methods inherited from class com.creamtec.ajaxswing.v4.AbstractRenderingGraphics

      `addRenderingHints, clearRect, clip, clipRect, copyArea, dispose, getBackground, getClip, getClipBounds, getColor, getComposite, getDeviceConfiguration, getFont, getFontRenderContext, getPaint, getRenderingHint, getRenderingHints, getStroke, getTransform, getTranslate, hit, rotate, rotate, scale, setBackground, setClip, setClip, setColor, setComposite, setFont, setPaint, setPaintMode, setRenderingHints, setStroke, setTransform, setXORMode, shear, transform, translate, translate, translateNoClip`

    - ### Methods inherited from class com.creamtec.ajaxswing.v4.HtmlGraphics

      `append, append, append, appendFontStyle, appendHexColor, appendHexValue, appendText, getFontMetrics, getImagePart, getImageUrl, getImageUrl, getPage`

    - ### Methods inherited from class java.awt.Graphics2D

      `draw3DRect, fill3DRect`

    - ### Methods inherited from class java.awt.Graphics

      `create, drawBytes, drawChars, drawPolygon, fillPolygon, finalize, getClipBounds, getClipRect, getFontMetrics, hitClip, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentGraphics

          public ComponentGraphics(HTMLPage page,
                           AjaxSwingV4Handler handler)

  - ### Method Detail

    - #### create

          public java.awt.Graphics create()

      Overrides:
        `create` in class `HtmlGraphics`

    - #### drawLine

          public void drawLine(int x1,
                      int y1,
                      int x2,
                      int y2)

      Overrides:
        `drawLine` in class `RenderingGraphics`

    - #### drawString

          public void drawString(java.lang.String str,
                        int x,
                        int y)

      Overrides:
        `drawString` in class `RenderingGraphics`

    - #### getAutoCompleteStatusForPassword

          public java.lang.String getAutoCompleteStatusForPassword()

    - #### drawImage

          public boolean drawImage(java.awt.Image img,
                          int x,
                          int y,
                          int width,
                          int height,
                          java.awt.image.ImageObserver observer)

      Overrides:
        `drawImage` in class `RenderingGraphics`

    - #### setIntervalsEnabled

          public void setIntervalsEnabled(boolean b)

    - #### setRenderingHint

          public void setRenderingHint(java.awt.RenderingHints.Key hintKey,
                              java.lang.Object hintValue)

      Overrides:
        `setRenderingHint` in class `AbstractRenderingGraphics`

    - #### setV4Root

          public void setV4Root(boolean b)

Copyright © 2000-2012 CreamTec LLC. All Rights Reserved.